// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : test.c
// Author        : xianfeng.du
// Created On    : 2022-11-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include <stddef.h>
#include <string.h>
#include <sys/time.h>
#include <unistd.h>

#include "typedef.h"
#include "ucp_printf.h"
#include "msg_transfer_mem.h"
#include "pet_sm_mgt.h"
#include "ucp_handshake.h"
#include "ospShell.h"
#include "ospLog.h"
#include "ospCfgToBin.h"
#include "drv_init.h"

#include "ucp_api_jesd.h"
#include "ucp_api_rfic.h"

extern uint8_t ucp_api_ad9528_LockStatus(void);
extern uint32_t adrv9026_getLockStatus (void);
extern int16_t adrv9026_getTemperature (void);

int32_t test_case(uint32_t argc, int32_t* argvp)
{
	UCP_PRINT_DEBUG("start running testcase 40.");
	UCP_PRINT_DEBUG("start monitor temperature and lock status.");

	while (1)
	{
		ucp_api_ad9528_LockStatus();
        adrv9026_getLockStatus();
        adrv9026_getTemperature();

		sleep(2);
	}
	
    return 0;
}

